Name:		sisu
Epoch:          1
Version:	0.3.3
Release:	5
Summary:	Eclipse dependency injection framework
License:	EPL
URL:		https://eclipse.org/sisu
Source0:	http://git.eclipse.org/c/sisu/org.eclipse.sisu.inject.git/snapshot/releases/%{version}.tar.gz#/org.eclipse.sisu.inject-%{version}.tar.gz
Source1:        http://git.eclipse.org/c/sisu/org.eclipse.sisu.plexus.git/snapshot/releases/%{version}.tar.gz#/org.eclipse.sisu.plexus-%{version}.tar.gz
Source2:        sisu-parent.pom
Source3:        sisu-plexus.pom
Source4:        sisu-inject.pom

Patch001:       sisu-OSGi-import-guava.patch
Patch002:       sisu-ignored-tests.patch
Patch003:       sisu-osgi-api.patch

BuildArch:      noarch
BuildRequires:	maven-local guice-servlet google-guice glassfish-annotation-api testng
BuildRequires:  cdi-api atinject glassfish-servlet-api junit plexus-classworlds slf4j
BuildRequires:  plexus-containers-component-annotations plexus-utils osgi-core 

%description
Sisu is a modular JSR330-based container that supports classpath scanning, 
auto-binding, and dynamic auto-wiring. Sisu uses Google-Guice to perform 
dependency injection and provide the core JSR330 support, but removes the 
need to write explicit bindings in Guice modules. Integration with other 
containers via the Eclipse Extension Registry and the OSGi Service 
Registry is a goal of this project.

%package        inject
Summary:        inject package for sisu

Provides:       %{name}-plexus = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-plexus < %{epoch}:%{version}-%{release} %{name}-tests < 1:0.3.2-5
Provides:       %{name}-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-javadoc < %{epoch}:%{version}-%{release}

%description     inject
inject package for sisu

%prep
%setup -q -c -T
tar -zxf %{SOURCE0} && mv releases/* sisu-inject && rmdir releases
cp %{SOURCE4} sisu-inject/pom.xml
tar -zxf %{SOURCE1} && mv releases/* sisu-plexus && rmdir releases
cp %{SOURCE3} sisu-plexus/pom.xml
cp %{SOURCE2} pom.xml

%patch001
%patch002
%patch003

%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_xpath_set -r /pom:project/pom:version %{version}
%{_bindir}/python3 %{_datadir}/java-utils/mvn_file.py ':{*}' @1
%{_bindir}/python3 %{_datadir}/java-utils/mvn_package.py ':*{inject,plexus}' @1
%{_bindir}/python3 %{_datadir}/java-utils/mvn_package.py : __noinstall
%{_bindir}/python3 %{_datadir}/java-utils/mvn_alias.py :org.eclipse.sisu.plexus org.sonatype.sisu:sisu-inject-plexus

%build
%mvn_build

%install
%mvn_install

%files          inject
%defattr(-,root,root)
%license sisu-inject/LICENSE.txt 
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%changelog
* Thu Dec 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.3.3-5
- Package init
